/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: Biblio.java,v bfea47dde645 2010/07/16 00:24:31 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.factsheet;

import javax.annotation.Nonnull;
import java.util.Map;
import it.tidalwave.util.Id;
import it.tidalwave.util.Key;
import it.tidalwave.semantic.EntityWithProperties;
import java.util.Collection;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class Biblio extends EntityWithProperties<Biblio>
  {
    public static final Key<String> DC_TITLE = new Key<String>("http://purl.org/dc/terms/title");
    public static final Key<Collection<String>> DC_TITLES = new Key<Collection<String>>("http://purl.org/dc/terms/title");
    public static final Key<String> DC_DESCRIPTION = new Key<String>("http://purl.org/dc/terms/description");

    public Biblio (final @Nonnull Id id)
      {
        super(id);
      }

    protected Biblio (final @Nonnull Id id, final @Nonnull Map<Key<?>, Object> map)
      {
        super(id, map);
      }

    @Override @Nonnull
    protected Biblio clone (final @Nonnull Map<Key<?>, Object> asMap)
      {
        return new Biblio(getId(), asMap);
      }
  }
